#include "global.h"

MessageDialogBtn g_msgDlgBtn = btn_Null;

QHash<int, QString> g_timeUnit;

void initializeGlobalVariable()
{
    g_timeUnit.insert(TU_Year, QString::fromWCharArray(L"365d"));
    g_timeUnit.insert(TU_Month, QString::fromWCharArray(L"30d"));
    g_timeUnit.insert(TU_Day, QString::fromWCharArray(L"1d"));
    g_timeUnit.insert(TU_Hour, QString::fromWCharArray(L"1h"));
    g_timeUnit.insert(TU_Minute_30, QString::fromWCharArray(L"30m"));
    g_timeUnit.insert(TU_Minute_20, QString::fromWCharArray(L"20m"));
    g_timeUnit.insert(TU_Minute_15, QString::fromWCharArray(L"15m"));
    g_timeUnit.insert(TU_Minute_10, QString::fromWCharArray(L"10m"));
    g_timeUnit.insert(TU_Minute_5, QString::fromWCharArray(L"5m"));
    g_timeUnit.insert(TU_Minute_3, QString::fromWCharArray(L"3m"));
    g_timeUnit.insert(TU_Minute_1, QString::fromWCharArray(L"1m"));
    g_timeUnit.insert(TU_Second_30, QString::fromWCharArray(L"30s"));
    g_timeUnit.insert(TU_Second_10, QString::fromWCharArray(L"10s"));
    g_timeUnit.insert(TU_Second_1, QString::fromWCharArray(L"1s"));
    g_timeUnit.insert(TU_MSecond_500, QString::fromWCharArray(L"500ms"));
    g_timeUnit.insert(TU_MSecond_100, QString::fromWCharArray(L"100ms"));
    g_timeUnit.insert(TU_MSecond_50, QString::fromWCharArray(L"50ms"));
    g_timeUnit.insert(TU_MSecond_10, QString::fromWCharArray(L"10ms"));
}
